package repostatus

import (
	"go.wit.com/gui"
	"go.wit.com/lib/gadgets"
	"go.wit.com/log"
)

func (rs *RepoStatus) makeBranchesBox(parent *gui.Node) {
	rs.gitBranchesGroup = parent.NewGroup("branches") // `progname:"BRANCHES"` // can the toolkits use these for i18n support?
	newgrid := rs.gitBranchesGroup.NewGrid("gridnuts", 0, 0)

	rs.lasttag = gadgets.NewOneLiner(newgrid, "last tag") // `progname:"LASTTAG"`
	newgrid.NextRow()

	rs.mainBranchVersion = gadgets.NewOneLiner(newgrid, "master") // `progname:"MASTERBRANCH"`
	newgrid.NextRow()
	rs.develBranchVersion = gadgets.NewOneLiner(newgrid, "devel") // `progname:"DEVELBRANCH"`
	newgrid.NextRow()
	rs.userBranchVersion = gadgets.NewOneLiner(newgrid, "user") // `progname:"USERBRANCH"`
	newgrid.NextRow()

	rs.currentBranch = gadgets.NewOneLiner(newgrid, "current branch") // `progname:"CURRENTBRANCH"`
	newgrid.NextRow()
	rs.currentVersion = gadgets.NewOneLiner(newgrid, "current version") // `progname:"CURRENTVERSION"`
	newgrid.NextRow()

	rs.switchBranchB = newgrid.NewButton("Switch Branch", func() { // `progname:"SWITCH"`
	})

	rs.targetBranch = newgrid.NewDropdown() // `progname:"TARGET"`
	newgrid.NextRow()

	rs.showBranchesButton = newgrid.NewButton("find user and devel", func() {
		log.Info("redo this")
	})
	newgrid.NextRow()

	rs.checkBranchesButton = newgrid.NewButton("CheckBranches()", func() {
		log.Info("redo this")
	})
	newgrid.NextRow()

	newgrid.NewButton("Revert master to devel", func() {
		log.Info("redo this")
	})
}
